> ## Documentation Index
> Fetch the complete documentation index at: https://chainstack-docs-polygon-erigon-trace-deprecation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_getUncleByBlockHashAndIndex | Plasma

> Plasma API method that returns information about an uncle by block hash and uncle index position. Use it on Plasma via Chainstack.

Plasma API method that returns information about an uncle by block hash and uncle index position.

## Parameters

* `data` — the hash of the block
* `quantity` — the uncle index position

## Response

* `object` — a block object, or `null` when no uncle was found

## `eth_getUncleByBlockHashAndIndex` code examples

<CodeGroup>
  ```javascript ethers.js theme={null}
  const { JsonRpcProvider } = require("ethers");

  const provider = new JsonRpcProvider("CHAINSTACK_NODE_URL");

  async function call() {
    const result = await provider.send("eth_getUncleByBlockHashAndIndex", []);
    console.log(result);
  }

  call();
  ```

  ```python web3.py theme={null}
  from web3 import Web3

  node_url = "CHAINSTACK_NODE_URL"
  web3 = Web3(Web3.HTTPProvider(node_url))

  # Make the call
  # Add your parameters here
  # result = web3.eth.<method_name>(...)
  print(result)
  ```

  ```shell cURL theme={null}
  curl -X POST "CHAINSTACK_NODE_URL" \
    -H "Content-Type: application/json" \
    --data '{
      "jsonrpc": "2.0",
      "method": "eth_getUncleByBlockHashAndIndex",
      "params": [],
      "id": 1
    }'
  ```
</CodeGroup>


## OpenAPI

````yaml openapi/plasma_node_api/blocks_info/eth_getUncleByBlockHashAndIndex.json POST /be84184cd12967be5a65d06651c60085
openapi: 3.0.0
info:
  title: Chainstack Node API
  version: 1.0.0
  description: This is an API for interacting with a Chainstack node.
servers:
  - url: https://plasma-mainnet.core.chainstack.com
security: []
paths:
  /be84184cd12967be5a65d06651c60085:
    post:
      tags:
        - upload
      summary: eth_getUncleByBlockHashAndIndex
      operationId: getUncleByBlockHashAndIndex
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: integer
                  default: 1
                jsonrpc:
                  type: string
                  default: '2.0'
                method:
                  type: string
                  default: eth_getUncleByBlockHashAndIndex
                params:
                  type: array
                  items:
                    anyOf:
                      - type: string
                        title: Block hash
                        description: Hash of the block.
                      - type: string
                        title: Uncle index
                        description: The uncle index position.
                  default:
                    - >-
                      0x0000000000000000000000000000000000000000000000000000000000000000
                    - '0x0'
      responses:
        '200':
          description: >-
            Returns information about an uncle by block hash and uncle index
            position.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                  id:
                    type: integer
                  result:
                    type: object
                    nullable: true

````